changelogs.md


sham-ui/sham-ui-cli

Repository  -  API  -  Source

3.0.7

  • Code style fixs

3.0.6

  • Some code style fixs
  • Define PRODUCTION for tests

3.0.5

  • Fix generate items

3.0.4

  • Update dependencies

3.0.3

  • Update dependencies

3.0.2

  • Fix template webpack.config.js code style

3.0.1

  • Downgrade inquirer

3.0.0

  • Fix webpack config for demo-app #9
  • Add eslint support for SFW #10
  • Remove HMR code from production build
  • Upgrade babel to 7.0
  • Upgrade sham-ui-*
  • Rename widget to component
  • Rename .sfw to .sfc
  • Rename controllers to initializers
  • Destroy argument for remove generated scaffold items #11
  • Update dependencies
  • Add stylelint to templates #15

2.0.4

  • Fix sham-ui-test-helpers version in app template

2.0.3

  • Update dependencies

2.0.2

  • Update dependencies
  • Scaffolding for single file widget #8

2.0.1

  • Update dependencies

2.0.0

  • Add scaffolding for widget with js (sham-ui g js-widget)
  • Update .npmignore
  • Update dependencies
  • Exclude .sht from coverage
  • Add prepublish script to widget template

1.4.1

  • Update dependencies

1.4.0

  • Update webpack & other dependencies
  • Uncomment string in .npmignore templates

1.3.9

  • Fix .gitignore for widget template #7

1.3.8

  • Upgrade jest
  • Add ESlint to templates
  • Change test-scripts commands

1.3.7

  • Fix invalid relative path to widget in tests

1.3.6

  • Fix .gitignore & .npmginore #1

1.3.5

  • Update dependencies

1.3.4

  • Fix minimize code for project

1.3.3

  • Update sham-ui-test-helpers
  • Fix #4

1.3.2

Workaround for module replacement

1.3.1

  • Update dependencies

1.3.0

  • Add template for widget project

1.2.6

  • Update dependencies

1.2.5

  • Update dependencies

1.2.4

  • Update dependencies

1.2.3

  • Update dependencies

1.2.2

  • Update sham-ui-templates-loader and sham-ui-jest-preprocessor

1.2.1

  • Update sham-ui-templates

1.2.0

  • Add scaffolding for widget (sham-ui g widget <widget-name>)

1.1.1

  • Remove .npmignore from template

1.1.0

  • Add jest for new app
  • Add webpack.config.js to .npmignore
  • Update sham-ui to 1.3.2